#!/bin/bash

# Удаление предыдущей установленной версии дополнения
unopkg remove ruslinux.oxt
# Удаление файла предыдущей версии дополнения
rm ruslinux.oxt
# Переход в директорию с файлами дополнения
pushd ruslinux
# Упаковка файлов дополнения в архив формата zip с расширением .oxt
zip -r ../ruslinux.oxt *
# Возврат в ранее установленную рабочую директорию
popd
# Установка переменных окружения для записи отладочных сообщений в поток стандартного вывода
export PYUNO_LOGLEVEL=ARGS
export PYUNO_LOGTARGET=stdout
# Установка новой версии дополнения
unopkg add ruslinux.oxt
# Запуск текстового процессора для тестирования дополнения
oowriter
